EDIT - bug #7742

vaadin view presenters not disposing ehcaches and object references in event bus which can cause
memory leaks

09/07/2018 11:32 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.3

Severity: critical Found in Version:

Description

Related issues:
Related to EDIT - bug #7047: Vaadin Ul and View scope beans are not always de... Closed

Associated revisions

Revision cbfdc57b - 09/07/2018 01:26 PM - Andreas Kohlbecker
ref #7742 disposable CdmCachers

Revision 5b7fa02a - 09/11/2018 10:35 AM - Andreas Kohlbecker

fix #7742 disposing view, presenter and ehcaches when popupviews are closed

Revision fba774b1 - 09/11/2018 01:12 PM - Andreas Kohlbecker

fix #7742 unsubscribing from event bus when disposing presenter

Revision 82f2be03 - 09/11/2018 01:36 PM - Andreas Kohlbecker

fix #7742 unsubscribing other beans from event bus on dispose()

Revision c6b02b73 - 09/11/2018 04:56 PM - Andreas Kohlbecker

fix #7742 moving inner class SearchFilter into own class file RegistrationSearchFilter

Revision 7e1f5d18 - 09/20/2018 12:15 PM - Andreas Kohlbecker

fix #7742 unsubscribing other beans from event bus on dispose()

History

#1 - 09/07/2018 11:33 AM - Andreas Kohlbecker

- Status changed from New to In Progress

#2 - 09/07/2018 11:37 AM - Andreas Kohlbecker
- Related to bug #7047: Vaadin Ul and View scope beans are not always destroyed correctly added

#3 - 09/11/2018 10:35 AM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|5b7fa02addec342fc2190abc52f66430aefc5533.

#4 - 09/11/2018 04:42 PM - Andreas Kohlbecker
- Tags set to ehcache

- % Done changed from 50 to 0

#5 - 09/11/2018 04:56 PM - Andreas Kohlbecker
- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|c6b02b73bf43ef58ae109d89adb17fc4058d46b4.

#6 - 09/11/2018 04:58 PM - Andreas Kohlbecker

- Subject changed from vaadin view presenters not disposing ehcaches can cause memory leaks to vaadin view presenters not disposing ehcaches
and object references in event bus which can cause memory leaks

- Status changed from Resolved to Closed

- % Done changed from 50 to 100
